Bug 809617 - Configuration editor issues with set/unset, drop down lists, and map of simples
Configuration editor issues with set/unset, drop down lists, and map of simples
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
All All
high Severity medium (vote)
: ---
: RHQ 4.4.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2012-04-03 16:00 EDT by Simeon Pinder
Modified: 2013-09-01 06:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:14:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
empty drop down list after clear. (144.78 KB, image/png)
2012-04-03 17:00 EDT, Simeon Pinder
no flags Details

  None (edit)
Description Simeon Pinder 2012-04-03 16:00:19 EDT
Description of problem:
When scheduling an operation as defined by plugin descriptor, checking the unset checkbox clears all of the drop down values.  Should be reproducible with any operation drop down list.  See screenshot.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Start up AS7 standalone instance bin/standalone.sh -c standalone-ha.xml and discover with running RHQ server.  
2. Navigate to Standalone> modcluster > Operations and attempt to add a metric or custom metric.
3. Browse property list to see available values. 
4. Unset the default selection.
  
Actual results:
Drop down list is empty and you'll have to refresh the form to get the values back.

Expected results:
Disables the drop down, but does not clear it out. At very least do not empty drop down list.

Additional info:
Workaround is to restart schedule operation task to get correct defaults.
Comment 1 Simeon Pinder 2012-04-03 17:00:07 EDT
Created attachment 574981 [details]
empty drop down list after clear.
Comment 2 Jay Shaughnessy 2012-04-10 17:34:59 EDT
This is super annoying.  It really has nothing to do with operations, it's
just the standard ConfigurationEditor component.

The main issue is that SmartGWT is calling the BlurHandler when you expand the
SelectItem choices.  Looking at alternatives to improve the behavior
without borking other stuff.
Comment 3 Simeon Pinder 2012-04-11 12:19:15 EDT
We might want to raise the priority and severity of this bug a little.  The issue is even worse for lists/dropdowns for which no values are initially set.  In that case the drop down lists show up as disabled, as one would expect, but there is not way to even see possible/available values because the list is unset to begin with.  In that case the initial workaround will not help and restarting a scheduled operation just returns you to the same incorrectly blank lists.
Comment 4 Jay Shaughnessy 2012-04-12 10:17:56 EDT
I was already working on it, I'm offended :-)

Anyway, I changed the title of this to reflect that this does not
have to do with operation configs but rather the config editor in general.
Given the general nature of the problems I upped the priority/severity to
high/medium.
Comment 5 Jay Shaughnessy 2012-04-12 10:34:11 EDT
master commit 61448016c00bb9b2c75165808d5ce4ee221bbc68

When editing a config "unset" should disable the field and nullify the value.
When setting (unchecking the "unset" checkbox) the field should be enabled
and focus should be given to the field.  If navigating away without setting
a value the field should automatically be unset.  Behavior should be
consistent when toggling "unset" whether it is for the current field or a
different field.

There have issues with this behavior going back to the beginnings of
the new gui impl.  The scenario in this BZ is a particular bad example.
Also, the upgrade to smartgwt 3.0 seems to have affected things a bit
negatively as well.

This fixes many of these issues, although given the complexity of the
component I'd be surprised if it fixed them all.

Additionally, the "Delete" SelectItem for a Map of Simples was no longer
properly displaying the values after the upgrade.  I've solved this
although it's maybe not super visually pleasing (but unless there is
a complaint I'm not going to spend any more time dorking with it).

Test Notes:
One of the best ways to test config editor behavior is to navigate to
#Test (manually type in this anchor).  From there you can access various
config editor test views.
Comment 6 Heiko W. Rupp 2013-09-01 06:14:55 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.